
Summary: WYSIWYM (What You See Is What You Mean) document processor
Name:	 lyx
Version: 1.3.6
Release: 4%{?dist}

License: GPL
Group: 	 Applications/Publishing
Url: 	 http://www.lyx.org/
Source:	 ftp://ftp.lyx.org/pub/lyx/stable/lyx-1.3.6.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

Patch1: lyx-1.3.5-helpers.patch

Source1: lyx.desktop
# "borrow" kde's crystal icon for lyx
Source2: lyx-crystal.png

BuildRequires: desktop-file-utils
BuildRequires: aiksaurus-devel
BuildRequires: aspell-devel
BuildRequires: tetex-latex
BuildRequires: tetex-fonts
#BuildRequires: /usr/X11R6/bin/makepsres
BuildRequires: xorg-x11

# For texhash
Requires(post): tetex-fonts
Requires(postun): tetex-fonts

Requires: tetex-latex
Requires: tetex-dvips
Requires: mathml-fonts
Requires: ghostscript
Requires: htmlview

BuildRequires: qt-devel >= 1:3.3
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel )
Requires: qt >= 1:%{qt_ver}


%description
LyX is a modern approach to writing documents which breaks with the
obsolete "typewriter paradigm" of most other document preparation
systems.

It is designed for people who want professional quality output
with a minimum of time and effort, without becoming specialists in
typesetting.

The major innovation in LyX is WYSIWYM (What You See Is What You Mean).
That is, the author focuses on content, not on the details of formatting.
This allows for greater productivity, and leaves the final typesetting
to the backends (like LaTeX) that are specifically designed for the task.

With LyX, the author can concentrate on the contents of his writing,
and let the computer take care of the rest.


%prep

%setup -q

%patch1 -p1 -b .helpers


%build
unset LINGUAS ||: 
unset QTDIR ||: ; . /etc/profile.d/qt.sh

%{?gcc296: export CXXFLAGS="$RPM_OPT_FLAGS -ftemplate-depth-44" }

%configure \
  --with-frontend=qt \
  --enable-optimization="$RPM_OPT_FLAGS" \
  --with-aiksaurus \
  --with-pspell \
  --disable-dependency-tracking

make %{_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

unset LINGUAS ||:

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

#
# Set up the lyx-specific class files where TeX can see them
#
texmf=%{_datadir}/texmf
mkdir -p ${RPM_BUILD_ROOT}${texmf}/tex/latex
mv ${RPM_BUILD_ROOT}%{_datadir}/lyx/tex \
   ${RPM_BUILD_ROOT}${texmf}/tex/latex/lyx

# KDE has a nice builtin crystalsvg icon, but this is for gnome's benefit
install -p -m644 -D %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/lyx.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "X-Fedora" \
   %{SOURCE1}

%find_lang %{name} || touch %{name}.lang

touch $RPM_BUILD_ROOT%{_datadir}/%{name}/xfonts/PSres.upr


%post
# Make TeX understand where LyX-specific packages are
texhash >& /dev/null ||:
# Now configure LyX
cd %{_datadir}/lyx && ./configure --srcdir >& /dev/null

%postun
# Fix the TeX file hash
texhash >& /dev/null ||:

# Catch installed/uninstalled helpers
%triggerin -- acroread,AdobeReader_enu,evince,gsview,kdegraphics,latex2html,tetex-xdvi,wv
if [ $2 -gt 1 ]; then
cd %{_datadir}/lyx && ./configure --srcdir >& /dev/null
fi

%triggerun -- acroread,AdobeReader_enu,evince,gsview,kdegraphics,latex2html,tetex-xdvi,wv
if [ $2 -eq 0 ]; then
cd %{_datadir}/lyx && ./configure --srcdir >& /dev/null
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc ANNOUNCE ChangeLog lib/CREDITS NEWS README
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}
%verify(not md5 size mtime) %{_datadir}/%{name}/*.lst
%verify(not md5 size mtime) %{_datadir}/%{name}/lyxrc.defaults
%verify(not md5 size mtime) %{_datadir}/%{name}/doc/LaTeXConfig.lyx
%verify(not md5 size mtime) %{_datadir}/%{name}/xfonts/PSres.upr
%verify(not md5 size mtime) %{_datadir}/%{name}/xfonts/fonts.*
%{_datadir}/texmf/tex/latex/%{name}


%changelog 
* Fri Aug 05 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.3.6-4
- touchup helpers script
- fix for (sometimes missing) PSres.upr

* Mon Aug 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.3.6-2
- use triggers to configure/unconfigure helper (ps/pdf/html) apps

* Sat Jul 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.3.6-1
- 1.3.6

* Mon May 23 2005 Rex Dieter <rexdieter[At]users.sf.net> 1.3.5-4
- qt_immodule patch (lyx bug #1830)
- update -helpers patch to look-for/use evince (rh bug #143992)
- drop (not-strictly-required) Req's on helper apps
  htmlview, gsview (rh bug #143992)
- %%configure: --with-aiksaurus
- %%configure: --enable-optimization="$$RPM_OPT_FLAGS"
- %%configure: --disable-dependancy-tracking

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.3.5
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Oct 21 2004 Rex Dieter <rexdieter[At]users.sf.net> 0:1.3.5-3
- BR: htmlview 
- Requires: htmlview, gsview (so build-time-detected helper apps are
  available at runtime)

* Thu Oct 21 2004 Rex Dieter <rexdieter[At]users.sf.net> 0:1.3.5-0.fdr.3
- BR: htmlview
- Requires: htmlview, gsview (so build-time-detected helper apps are 
  available at runtime)

* Wed Oct 20 2004 Rex Dieter <rexdieter[At]users.sf.net> 0:1.3.5-0.fdr.2
- BR: pspell-devel -> aspell-devel
- BR: tetex-* (helper detection, fonts)
- -helpers patch: find/use htmlview, gsview, kdvi, ggv, kghostview
- .desktop: GenericName: WYSIWYM document processor

* Wed Oct 06 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.5-0.fdr.1
- 1.3.5

* Fri Apr 30 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.6
- BR: libtool

* Fri Apr 23 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.5
- Group: Applications/Publishing
- BR: desktop-file-utils
- Requires(post,postun): tetex

* Sat Apr 10 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.4
- .desktop: separate file
- .desktop: drop 'Utility' category, add 'Qt'
- .desktop: Name: lyx -> LyX
- .desktop: Comment: lyx 1.3.4 -> WYSIWYM document processor
- convert icon xpm -> png

* Thu Mar 11 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.3
- dynamically determine version for qt dependancy.

* Tue Mar 09 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.2
- add a few (mostly superfluous) BuildRequires to make fedora.us's
  buildsystem happy.

* Tue Mar 09 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.1
- Allow building/use for any qt >= 3.1

* Thu Feb 19 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.0
- 1.3.4
- Categories=Office

* Mon Nov 24 2003 Rex Dieter <rexdieter at sf.net> 0:1.3.3-0.fdr.3
- Requires: tetex-latex 
- support MimeType(s): application/x-lyx;text/x-lyx

* Sat Nov 22 2003 Rex Dieter <rexdieter at sf.net> 0:1.3.3-0.fdr.2
- let rpm auto-require qt.
- remove (optional) xforms support.
- Requires: latex-xft-fonts

* Mon Oct 06 2003 Rex Dieter <rexdieter at sf.net> 0:1.3.3-0.fdr.1
- 1.3.3
- update macros for Fedora Core.

* Mon May 12 2003 Rex Dieter <rexdieter at users.sf.net> 0:1.3.2-0.fdr.0
- 1.3.2
- fedora-ize.

* Tue Mar 25 2003 Rex Dieter <rexdieter at users.sf.net> 1.3.1-1.0
- 1.3.1 release.

* Fri Feb 21 2003 Rex Dieter <rexdieter at users.sf.net> 1.3.0-1.0
- yank kmenu

* Fri Feb 07 2003 Rex Dieter <rexdieter at users.sf.net> 1.3.0-0.0
- 1.3.0

